<?xml version="1.0"?>
<doc>
<assembly>
<name>
PREFormFichaAdvGrid
</name>
</assembly>
<members>
<member name="E:PREFormFichaAdvGrid.FormFichaAdvGrid.Event_TBtnAceptar_Click">
	<summary>
 Evento que se lanza al pulsasr el boton Aceptar de la barra de herramientas
 </summary>
	<remarks>Es usado para capturar el evento desde la clase tabla</remarks>
</member><member name="E:PREFormFichaAdvGrid.FormFichaAdvGrid.Event_TBtnCerrar_Click">
	<summary>
 Evento que se lanza al pulsasr el boton Aceptar de la barra de herramientas
 </summary>
	<remarks>Es usado para capturar el evento desde la clase tabla</remarks>
</member><member name="F:PREFormFichaAdvGrid.FormFichaAdvGrid.idCfgCampoRel">
	<summary>
 IDCFGCAMPO DE LAS TABLAS RELACIONADAS RESANEXO, RESDOMICILIO
 </summary>
	<remarks></remarks>
</member><member name="F:PREFormFichaAdvGrid.FormFichaAdvGrid.idCfgCampo">
	<summary>
 IDCFGCAMPO DE LAS TABLA PRINCIPAL RESIDENTE
 </summary>
	<remarks></remarks>
</member><member name="T:PREFormFichaAdvGrid.FormFichaAdvGrid.TipoEspacio">
	<summary>
 CONTROLAMOS EL ESPACIO ESTABLECIDO EN LOS SPLITS
 </summary>
	<remarks></remarks>
</member><member name="P:PREFormFichaAdvGrid.FormFichaAdvGrid.idTabla">
	<summary>
 id de la tabla principal "idcliente"
 </summary>
	<value></value>
	<returns></returns>
	<remarks></remarks>
</member><member name="P:PREFormFichaAdvGrid.FormFichaAdvGrid.tablaRel">
	<summary>
 Opcíón que a elegido en el ButonBar, 'clianexo'
 </summary>
	<value></value>
	<returns></returns>
	<remarks></remarks>
</member><member name="P:PREFormFichaAdvGrid.FormFichaAdvGrid.tabla">
	<summary>
 Nombre de la tabla principal que carga el formulario ´cliente´
 </summary>
	<value></value>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.RedimensionarTabPage">
	<summary>
 REDIMENSIONA EL SPLIT DONDE ESTA EL TABPAGE EN FUNCION DE LA CANTIDAD QUE ESTE INDICADA EN EL TAG DE CADA PAGINA
 </summary>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.RefrescarDiseñoGrid(System.Int32)">
	<summary>
 REFRESCA EL DISEÑO DEL GRID PARA EL IDCONSULTA  QUE LE INDIQUES
 </summary>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.TieneVista">
	<summary>
 ANTES DE ABRIR UNA TABLA COMPROBAMOS SI TIENE UN PROCEDIMIENTO CREADO
 </summary>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.deshabilitarControles(System.Boolean)">
	<summary>
 Desabilita todos los objetos de la pantalla menos el Tab, mientras esta editando o creando una relacion
 </summary>
	<param name="estado"></param>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.CargaFormulario(System.Data.DataTable,System.Int32)">
	<summary>
 METODO QUE SE INVOCA ANTES DE MOSTRAR EL FORMULARIO PARA CARGARLO TOTALMENTE
 </summary>
	<param name="dtSeguridadUsuario">LE PASAMOS EL DT CON LA SEGURIDAD PARA ESTE USUARIO Y 
 PARA LA PANTALLA QUE ESTA ABRIENDO</param>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.EstablecerIdcfgcampo">
	<summary>
 Damos valor a la variable idCfgCampo a traves del nombre del formulario "Residente_T_General"
 </summary>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.ManejarBotonesBarra">
	<summary>
 CONTROLA LOS BOTONES DE LA BARRA
 CUANDO NO EXISTE NINGUNA FILA EN EL GRID DESACTIVA EDITAR Y ELIMINAR
 </summary>
	<remarks></remarks>
</member><member name="M:PREFormFichaAdvGrid.FormFichaAdvGrid.DesabilitarNuevo(System.String)">
	<summary>
 DESABILITA EL BOTON NUEVO EN EL CASO DE ESRTAR EN UNA RELACION DE ANEXO Y TENER YA UN REGISTRO
 </summary>
	<param name="pNombreTablaRelSel"></param>
	<remarks></remarks>
</member><member name="P:PREFormFichaAdvGrid.My.Resources.Resources.ResourceManager">
	<summary>
  Devuelve la instancia de ResourceManager almacenada en caché utilizada por esta clase.
</summary>
</member><member name="P:PREFormFichaAdvGrid.My.Resources.Resources.Culture">
	<summary>
  Reemplaza la propiedad CurrentUICulture del subproceso actual para todas las
  búsquedas de recursos mediante esta clase de recurso con establecimiento inflexible de tipos.
</summary>
</member><member name="T:PREFormFichaAdvGrid.My.Resources.Resources">
	<summary>
  Clase de recurso con establecimiento inflexible de tipos, para buscar cadenas traducidas, etc.
</summary>
</member>
</members>
</doc>